> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer files

> Get all files for a customer



## OpenAPI

````yaml get /v1/uploads/customer/{customer_id}
openapi: 3.0.0
info:
  title: Uploads API
  version: 1.0.0
  description: API for file upload and document management
servers: []
security:
  - bearerAuth: []
tags:
  - name: Files
    description: File management operations
  - name: Customer Documents
    description: Customer document operations
paths:
  /v1/uploads/customer/{customer_id}:
    get:
      tags:
        - Customer Documents
      summary: Get customer files
      description: Get all files for a customer
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: isSigned
          in: query
          schema:
            type: boolean
        - name: isApproved
          in: query
          schema:
            type: boolean
        - name: tag
          in: query
          schema:
            type: string
      responses:
        '200':
          description: List of customer files
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Upload'
components:
  schemas:
    Upload:
      type: object
      properties:
        id:
          type: string
          format: uuid
        file_name:
          type: string
        document_type:
          type: string
        approval_status:
          type: string
          enum:
            - pending
            - approved
            - attached
        approval_needed:
          type: number
          format: float
        approval_made:
          type: number
          format: float
        signature_status:
          type: string
          enum:
            - pending
            - signed
            - not_required
        signature_needed:
          type: number
          format: float
        signature_made:
          type: number
          format: float
        content_length:
          type: integer
          format: int64
        file_extension:
          type: string
        active:
          type: boolean
        metadata:
          type: object
          additionalProperties: true
        created_at:
          type: string
          format: date-time
        created_by:
          type: string
          format: uuid
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````